ALTER TABLE RQDISCUSSIONGROUPS
       ADD  ( CONSTRAINT RQDISCGROUPS_DISCID_FK FOREIGN KEY (DISCUSSIONID)
	REFERENCES RQDISCUSSIONS ON DELETE CASCADE) ;

ALTER TABLE RQDISCUSSIONGROUPS
       ADD  ( CONSTRAINT RQDISCGROUPS_GROUPID_FK FOREIGN KEY (GROUPID)
	REFERENCES RQUSERGROUPS ON DELETE CASCADE) ;

ALTER TABLE RQDISCUSSIONREQUIREMENTS
       ADD  ( CONSTRAINT RQDISCREQS_DISCID_FK FOREIGN KEY (DISCUSSIONID)
	REFERENCES RQDISCUSSIONS ON DELETE CASCADE) ;

ALTER TABLE RQDISCUSSIONREQUIREMENTS
       ADD  ( CONSTRAINT RQDISCREQS_REQID_FK FOREIGN KEY (REQUIREMENTID)
	REFERENCES RQREQUIREMENTS ON DELETE CASCADE) ;

ALTER TABLE RQDISCUSSIONSREAD
       ADD  ( CONSTRAINT RQDISCREAD_DISCID_FK FOREIGN KEY (DISCUSSIONID)
	REFERENCES RQDISCUSSIONS ON DELETE CASCADE) ;

ALTER TABLE RQDISCUSSIONSREAD
       ADD  ( CONSTRAINT RQDISCREAD_USERID_FK FOREIGN KEY (USERID)
	REFERENCES RQUSERS ON DELETE CASCADE) ;

ALTER TABLE RQDISCUSSIONUSERS
       ADD  ( CONSTRAINT RQDISCUSERS_DISCID_FK FOREIGN KEY (DISCUSSIONID)
	REFERENCES RQDISCUSSIONS ON DELETE CASCADE) ;

ALTER TABLE RQDISCUSSIONUSERS
       ADD  ( CONSTRAINT RQDISCUSERS_USERID_FK FOREIGN KEY (USERID)
	REFERENCES RQUSERS ON DELETE CASCADE) ;

ALTER TABLE RQDOCUMENTHISTORY
       ADD  ( CONSTRAINT RQDOCHIST_ID_FK FOREIGN KEY (ID)
	REFERENCES RQDOCUMENTS ON DELETE CASCADE) ;

ALTER TABLE RQDOCUMENTS
       ADD  ( CONSTRAINT RQDOCS_DOCTYPEID_FK FOREIGN KEY (DOCUMENTTYPEID)
	REFERENCES RQDOCUMENTTYPES ) ;

ALTER TABLE RQDOCUMENTTYPEUSERS
       ADD  ( CONSTRAINT RQDOCTYPEUSERS_USERGROUPID_FK FOREIGN KEY (USERGROUPID)
	REFERENCES RQUSERGROUPS ON DELETE CASCADE) ;

ALTER TABLE RQDOCUMENTTYPEUSERS
       ADD  ( CONSTRAINT RQDOCTYPEUSERS_DOCTYPEID_FK FOREIGN KEY (DOCUMENTTYPEID)
	REFERENCES RQDOCUMENTTYPES ON DELETE CASCADE) ;

ALTER TABLE RQDOCUMENTTYPEUSERS
       ADD  ( CONSTRAINT RQDOCTYPEUSERS_PROJID_FK FOREIGN KEY (PROJECTID)
	REFERENCES RQPROJECTS ON DELETE CASCADE) ;

ALTER TABLE RQOVERFLOWTEXT
       ADD  ( CONSTRAINT RQOVERFLOWTEXT_ID_FK FOREIGN KEY (OVERFLOWID)
	REFERENCES RQREQUIREMENTS ON DELETE CASCADE) ;

ALTER TABLE RQOVERFLOWVALUES
       ADD  ( CONSTRAINT RQOVERFLOWVALUES_ID_FK FOREIGN KEY (OVERFLOWREQUIREMENTID, OVERFLOWFIELDID)
	REFERENCES RQUSERDEFINEDFIELDVALUES ON DELETE CASCADE) ;

ALTER TABLE RQOVERFLOWVALUES
       ADD  ( CONSTRAINT RQOVERFLOWVALUES_FLDID_FK FOREIGN KEY (OVERFLOWFIELDID)
	REFERENCES RQUSERDEFINEDFIELDS ON DELETE CASCADE) ;

ALTER TABLE RQPACKAGES
       ADD  ( CONSTRAINT RQPACKAGES_PROJID_FK FOREIGN KEY (PROJECTID)
	REFERENCES RQPROJECTS ON DELETE CASCADE) ;

ALTER TABLE RQPACKAGES
       ADD  ( CONSTRAINT RQPACKAGES_PARID_FK FOREIGN KEY (PARENTID)
	REFERENCES RQPACKAGES) ;

ALTER TABLE RQPACKAGEELEMENTS
       ADD  ( CONSTRAINT RQPACKELEMS_PACKID_FK FOREIGN KEY (PACKAGEID)
	REFERENCES RQPACKAGES) ;

ALTER TABLE RQPACKAGEELEMENTS
       ADD  ( CONSTRAINT RQPACKELEMS_REQID_FK FOREIGN KEY (REQUIREMENTID)
	REFERENCES RQREQUIREMENTS ON DELETE CASCADE) ;

ALTER TABLE RQPACKAGEELEMENTS
       ADD  ( CONSTRAINT RQPACKELEMS_DOCID_FK FOREIGN KEY (DOCUMENTID)
	REFERENCES RQDOCUMENTS ON DELETE CASCADE) ;

ALTER TABLE RQPACKAGEELEMENTS
       ADD  ( CONSTRAINT RQPACKELEMS_VIEWID_FK FOREIGN KEY (VIEWID)
	REFERENCES RQVIEWS ON DELETE CASCADE) ;

ALTER TABLE RQPROJECTDISCUSSIONS
       ADD  ( CONSTRAINT RQPROJDISCS_PROJID_FK FOREIGN KEY (PROJECTID)
	REFERENCES RQPROJECTS ON DELETE CASCADE) ;

ALTER TABLE RQPROJECTDISCUSSIONS
       ADD  ( CONSTRAINT RQPROJDISCS_DISCID_FK FOREIGN KEY (DISCUSSIONID)
	REFERENCES RQDISCUSSIONS ON DELETE CASCADE) ;

ALTER TABLE RQPROJECTDOCUMENTS
       ADD  ( CONSTRAINT RQPROJDOCS_PROJID_FK FOREIGN KEY (PROJECTID)
	REFERENCES RQPROJECTS ON DELETE CASCADE) ;

ALTER TABLE RQPROJECTDOCUMENTS
       ADD  ( CONSTRAINT RQPROJDOCS_DOCID_FK FOREIGN KEY (DOCUMENTID)
	REFERENCES RQDOCUMENTS ON DELETE CASCADE) ;

ALTER TABLE RQPROJECTDOCUMENTTYPES
       ADD  ( CONSTRAINT RQPROJDOCTYPES_DOCTYPEID_FK FOREIGN KEY (DOCUMENTTYPEID)
	REFERENCES RQDOCUMENTTYPES ON DELETE CASCADE) ;

ALTER TABLE RQPROJECTDOCUMENTTYPES
       ADD  ( CONSTRAINT RQPROJDOCTYPES_PROJID_FK FOREIGN KEY (PROJECTID)
	REFERENCES RQPROJECTS ON DELETE CASCADE) ;

ALTER TABLE RQPROJECTEXTERNALPROJECTS
       ADD  ( CONSTRAINT RQPROJEXTPROJS_EXTPROJID_FK FOREIGN KEY (EXTERNALPROJECTID)
	REFERENCES RQEXTERNALPROJECTS ON DELETE CASCADE) ;

ALTER TABLE RQPROJECTEXTERNALPROJECTS
       ADD  ( CONSTRAINT RQPROJEXTPROJS_PROJID_FK FOREIGN KEY (PROJECTID)
	REFERENCES RQPROJECTS ON DELETE CASCADE) ;

ALTER TABLE RQPROJECTHISTORY
       ADD  ( CONSTRAINT RQPROJHIST_ID_FK FOREIGN KEY (ID)
	REFERENCES RQPROJECTS ON DELETE CASCADE) ;

ALTER TABLE RQPROJECTREQUIREMENTS
       ADD  ( CONSTRAINT RQPROJREQS_PROJID_FK FOREIGN KEY (PROJECTID)
	REFERENCES RQPROJECTS ON DELETE CASCADE) ;

ALTER TABLE RQPROJECTREQUIREMENTS
       ADD  ( CONSTRAINT RQPROJREQS_REQID_FK FOREIGN KEY (REQUIREMENTID)
	REFERENCES RQREQUIREMENTS ON DELETE CASCADE) ;

ALTER TABLE RQPROJECTREQUIREMENTTYPES
       ADD  ( CONSTRAINT RQPROJREQTYPES_REQTYPEID_FK FOREIGN KEY (REQUIREMENTTYPEID)
	REFERENCES RQREQUIREMENTTYPES ON DELETE CASCADE) ;

ALTER TABLE RQPROJECTREQUIREMENTTYPES
       ADD  ( CONSTRAINT RQPROJREQTYPES_PROJID_FK FOREIGN KEY (PROJECTID)
	REFERENCES RQPROJECTS ON DELETE CASCADE) ;

ALTER TABLE RQPROJECTUSERS
       ADD  ( CONSTRAINT RQPROJUSERS_PROJID_FK FOREIGN KEY (PROJECTID)
	REFERENCES RQPROJECTS ON DELETE CASCADE) ;

ALTER TABLE RQPROJECTUSERS
       ADD  ( CONSTRAINT RQPROJUSERS_USERGROUPID_FK FOREIGN KEY (USERGROUPID)
	REFERENCES RQUSERGROUPS ON DELETE CASCADE) ;

ALTER TABLE RQREQUIREMENTHISTORY
       ADD  ( CONSTRAINT RQREQHIST_ID_FK FOREIGN KEY (ID)
	REFERENCES RQREQUIREMENTS ON DELETE CASCADE) ;

ALTER TABLE RQREQUIREMENTS
       ADD  ( CONSTRAINT RQREQS_REQTYPEID_FK FOREIGN KEY (REQUIREMENTTYPEID)
	REFERENCES RQREQUIREMENTTYPES ) ;

ALTER TABLE RQREQUIREMENTTYPEFIELDS
       ADD  ( CONSTRAINT RQREQTYPEFIELDS_REQTYPEID_FK FOREIGN KEY (REQUIREMENTTYPEID)
	REFERENCES RQREQUIREMENTTYPES ON DELETE CASCADE) ;

ALTER TABLE RQREQUIREMENTTYPEFIELDS
       ADD  ( CONSTRAINT RQREQTYPEFLDS_USRDEFFLDID_FK FOREIGN KEY (USERDEFINEDFIELDID)
	REFERENCES RQUSERDEFINEDFIELDS ON DELETE CASCADE) ;

ALTER TABLE RQREQUIREMENTTYPESTYLES
       ADD  ( CONSTRAINT RQREQTYPESTYLES_REQTYPEID_FK FOREIGN KEY (REQUIREMENTTYPEID)
	REFERENCES RQREQUIREMENTTYPES ON DELETE CASCADE) ;

ALTER TABLE RQREQUIREMENTTYPEUSERS
       ADD  ( CONSTRAINT RQREQTYPEUSERS_PROJID_FK FOREIGN KEY (PROJECTID)
	REFERENCES RQPROJECTS ON DELETE CASCADE) ;

ALTER TABLE RQREQUIREMENTTYPEUSERS
       ADD  ( CONSTRAINT RQREQTYPEUSERS_REQTYPEID_FK FOREIGN KEY (REQUIREMENTTYPEID)
	REFERENCES RQREQUIREMENTTYPES ON DELETE CASCADE) ;

ALTER TABLE RQREQUIREMENTTYPEUSERS
       ADD  ( CONSTRAINT RQREQTYPEUSERS_USERGROUPID_FK FOREIGN KEY (USERGROUPID)
	REFERENCES RQUSERGROUPS ON DELETE CASCADE) ;

ALTER TABLE RQUSERDEFINEDDOCRELVALUES
       ADD  ( CONSTRAINT RQUDFDRELVALS_DOCID_FK FOREIGN KEY (DOCUMENTID)
	REFERENCES RQDOCUMENTS ON DELETE CASCADE);
				 
ALTER TABLE RQUSERDEFINEDDOCRELVALUES
       ADD  ( CONSTRAINT RQUDFDRELVALS_FLDID_FK FOREIGN KEY (FIELDID)
	REFERENCES RQUSERDEFINEDFIELDS ON DELETE CASCADE);

ALTER TABLE RQUSERDEFINEDFIELDUSERS
       ADD  ( CONSTRAINT RQUSERDEFFIELDUSERS_PROJID_FK FOREIGN KEY (PROJECTID)
	REFERENCES RQPROJECTS ON DELETE CASCADE) ;

ALTER TABLE RQUSERDEFINEDFIELDUSERS
       ADD  ( CONSTRAINT RQUSRDEFFLDUSRS_FLDID_FK FOREIGN KEY (FIELDID)
	REFERENCES RQUSERDEFINEDFIELDS ON DELETE CASCADE) ;

ALTER TABLE RQUSERDEFINEDFIELDUSERS
       ADD  ( CONSTRAINT RQUSRDEFFLDUSRS_USRGRPID_FK FOREIGN KEY (USERGROUPID)
	REFERENCES RQUSERGROUPS ON DELETE CASCADE) ;

ALTER TABLE RQUSERDEFINEDFIELDVALUES
       ADD  ( CONSTRAINT RQUSRDEFFLDVALUES_FLDID_FK FOREIGN KEY (FIELDID)
	REFERENCES RQUSERDEFINEDFIELDS ON DELETE CASCADE);

ALTER TABLE RQUSERDEFINEDFIELDVALUES
       ADD  ( CONSTRAINT RQUSRDEFFLDVALUES_REQID_FK FOREIGN KEY (REQUIREMENTID)
	REFERENCES RQREQUIREMENTS ON DELETE CASCADE) ;

ALTER TABLE RQUSERDEFINEDLISTITEMS
       ADD  ( CONSTRAINT RQUSRDEFLSTITMS_FLDID_FK FOREIGN KEY (FIELDID)
	REFERENCES RQUSERDEFINEDFIELDS ON DELETE CASCADE);

ALTER TABLE RQUSERDEFINEDLISTITEMUSERS
       ADD  ( CONSTRAINT RQUSRDEFLSTITMUSERS_PROJID_FK FOREIGN KEY (PROJECTID)
	REFERENCES RQPROJECTS ON DELETE CASCADE);

ALTER TABLE RQUSERDEFINEDLISTITEMUSERS
       ADD  ( CONSTRAINT RQUSRDEFLSTITMUSRS_USRGRPID_FK FOREIGN KEY (USERGROUPID)
	REFERENCES RQUSERGROUPS ON DELETE CASCADE);

ALTER TABLE RQUSERDEFINEDLISTITEMUSERS
       ADD  ( CONSTRAINT RQUSRDEFLSTITMUSRS_LSTITMID_FK FOREIGN KEY (LISTITEMID)
	REFERENCES RQUSERDEFINEDLISTITEMS ON DELETE CASCADE);

ALTER TABLE RQUSERDEFINEDLISTVALUES
       ADD  ( CONSTRAINT RQUSRDEFLSTVALS_REQID_FK FOREIGN KEY (REQUIREMENTID)
	REFERENCES RQREQUIREMENTS ON DELETE CASCADE);

ALTER TABLE RQUSERDEFINEDLISTVALUES
       ADD  ( CONSTRAINT RQUSRDEFLSTVALS_FLDITMID_FK FOREIGN KEY (LISTITEMID)
	REFERENCES RQUSERDEFINEDLISTITEMS ON DELETE CASCADE);

ALTER TABLE RQUSERDEFINEDLISTVALUES
       ADD  ( CONSTRAINT RQUSRDEFLSTVALS_FLDID_FK FOREIGN KEY (FIELDID)
	REFERENCES RQUSERDEFINEDFIELDS ON DELETE CASCADE);
				 
ALTER TABLE RQUSERDEFINEDRELVALUES
       ADD  ( CONSTRAINT RQUDFRELVALS_REQID_FK FOREIGN KEY (REQUIREMENTID)
	REFERENCES RQREQUIREMENTS ON DELETE CASCADE);

ALTER TABLE RQUSERDEFINEDRELVALUES
       ADD  ( CONSTRAINT RQUDFRELVALS_FLDID_FK FOREIGN KEY (FIELDID)
	REFERENCES RQUSERDEFINEDFIELDS ON DELETE CASCADE);

ALTER TABLE RQUSERS
       ADD  ( CONSTRAINT RQUSERS_GROUPID_FK FOREIGN KEY (GROUPID)
	REFERENCES RQUSERGROUPS );

ALTER TABLE RQVIEWS
       ADD  ( CONSTRAINT RQVIEWS_PROJECTID_FK FOREIGN KEY (PROJECTID)
	REFERENCES RQPROJECTS ON DELETE CASCADE);

ALTER TABLE RQVIEWS
       ADD  ( CONSTRAINT RQVIEWS_QUERYID_FK FOREIGN KEY (QUERYID)
	REFERENCES RQQUERYDEFINITIONS ON DELETE CASCADE);

ALTER TABLE RQQUERYDEFINITIONS
	   ADD (CONSTRAINT RQQUERYDEF_PROJID_FK FOREIGN KEY (PROJECTID)
	REFERENCES RQPROJECTS ON DELETE CASCADE);


